API Documentation
Toggle TOC panel
<access-service>/api/v1/organisations/{orgId}/groups/{groupId}/users

URL structure

1 https://access-service.xy-company.com/api/v1/organisations/{orgId}/groups/{groupId}/users

where {orgId} is the ID of an organization and {groupId} is the ID of one of this organization's groups.

Supported methods and overview

  • GET - used to retrieve a list of information for all of an organization's Covata users who are members of a group, based on the group's ID.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of information for all of an organization's Covata users who are members of the group whose ID is specified in the URL of this endpoint.

A group's ID can be obtained by calling the GET method of the <access-service>/api/v1/organisations/{orgId}/groups API endpoint, which retrieves a list of information for all groups in an organization.

Supported roles

This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator's Guide) and conditions:

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

A JSON-formatted response containing the following members:

  • items - .
    • email - .
    • firstName - .
    • lastName - .
    • id - .
  • count - .
  • offset - .

    Example (response from ...):